# Uses of Class
org.apache.zookeeper.data.Stat

Packages that use Stat
Package
Description
org.apache.zookeeper
org.apache.zookeeper.admin
org.apache.zookeeper.cli
org.apache.zookeeper.client
org.apache.zookeeper.data
org.apache.zookeeper.proto
org.apache.zookeeper.retry
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.test.system

## Uses of Stat in org.apache.zookeeper

Methods in org.apache.zookeeper that return Stat
Modifier and Type
Method
Description
`Stat`
ZooKeeper.`exists(String path, boolean watch)`
Return the stat of the node of the given path.
`Stat`
ZooKeeper.`exists(String path, Watcher watcher)`
Return the stat of the node of the given path.
`Stat`
OpResult.CreateResult.`getStat()`
`Stat`
OpResult.GetDataResult.`getStat()`
`Stat`
OpResult.SetDataResult.`getStat()`
`Stat`
ZooKeeper.`setACL(String path, List<ACL> acl, int aclVersion)`
Set the ACL for the node of the given path if such a node exists and the given aclVersion matches the acl version of the node.
`Stat`
ZooKeeper.`setData(String path, byte[] data, int version)`
Set the data for the node of the given path if such a node exists and the given version matches the version of the node (if the given version is -1, it matches any node's versions).
Methods in org.apache.zookeeper with parameters of type Stat
Modifier and Type
Method
Description
`String`
ZooKeeper.`create(String path, byte[] data, List<ACL> acl, CreateMode createMode, Stat stat)`
Create a node with the given path and returns the Stat of that node.
`String`
ZooKeeper.`create(String path, byte[] data, List<ACL> acl, CreateMode createMode, Stat stat, long ttl)`
same as `ZooKeeper.create(String, byte[], List, CreateMode, Stat)` but allows for specifying a TTL when mode is `CreateMode.PERSISTENT_WITH_TTL` or `CreateMode.PERSISTENT_SEQUENTIAL_WITH_TTL`.
`List<ACL>`
ZooKeeper.`getACL(String path, Stat stat)`
Return the ACL and stat of the node of the given path.
`void`
ZooKeeper.`getACL(String path, Stat stat, AsyncCallback.ACLCallback cb, Object ctx)`
The asynchronous version of getACL.
`List<String>`
ZooKeeper.`getChildren(String path, boolean watch, Stat stat)`
For the given znode path return the stat and children list.
`List<String>`
ZooKeeper.`getChildren(String path, Watcher watcher, Stat stat)`
For the given znode path return the stat and children list.
`byte[]`
ZooKeeper.`getConfig(boolean watch, Stat stat)`
Return the last committed configuration (as known to the server to which the client is connected) and the stat of the configuration.
`byte[]`
ZooKeeper.`getConfig(Watcher watcher, Stat stat)`
Return the last committed configuration (as known to the server to which the client is connected) and the stat of the configuration.
`byte[]`
ZooKeeper.`getData(String path, boolean watch, Stat stat)`
Return the data and the stat of the node of the given path.
`byte[]`
ZooKeeper.`getData(String path, Watcher watcher, Stat stat)`
Return the data and the stat of the node of the given path.
`void`
AsyncCallback.ACLCallback.`processResult(int rc, String path, Object ctx, List<ACL> acl, Stat stat)`
Process the result of the asynchronous call.
`void`
AsyncCallback.Children2Callback.`processResult(int rc, String path, Object ctx, List<String> children, Stat stat)`
Process the result of the asynchronous call.
`void`
AsyncCallback.Create2Callback.`processResult(int rc, String path, Object ctx, String name, Stat stat)`
Process the result of the asynchronous call.
`void`
AsyncCallback.DataCallback.`processResult(int rc, String path, Object ctx, byte[] data, Stat stat)`
Process the result of asynchronous calls.
`void`
AsyncCallback.StatCallback.`processResult(int rc, String path, Object ctx, Stat stat)`
Process the result of the asynchronous call.
Constructors in org.apache.zookeeper with parameters of type Stat
Modifier
Constructor
Description
``
`CreateResult(String path, Stat stat)`
``
`GetDataResult(byte[] data, Stat stat)`
``
`SetDataResult(Stat stat)`

## Uses of Stat in org.apache.zookeeper.admin

Methods in org.apache.zookeeper.admin with parameters of type Stat
Modifier and Type
Method
Description
`byte[]`
ZooKeeperAdmin.`reconfigure(String joiningServers, String leavingServers, String newMembers, long fromConfig, Stat stat)`
Reconfigure - add/remove servers.
`byte[]`
ZooKeeperAdmin.`reconfigure(List<String> joiningServers, List<String> leavingServers, List<String> newMembers, long fromConfig, Stat stat)`
Convenience wrapper around reconfig that takes Lists of strings instead of comma-separated servers.

## Uses of Stat in org.apache.zookeeper.cli

Methods in org.apache.zookeeper.cli with parameters of type Stat
Modifier and Type
Method
Description
`void`
StatPrinter.`print(Stat stat)`

## Uses of Stat in org.apache.zookeeper.client

Methods in org.apache.zookeeper.client with parameters of type Stat
Modifier and Type
Method
Description
`void`
ZooKeeperSaslClient.ServerSaslResponseCallback.`processResult(int rc, String path, Object ctx, byte[] data, Stat stat)`

## Uses of Stat in org.apache.zookeeper.data

Methods in org.apache.zookeeper.data with parameters of type Stat
Modifier and Type
Method
Description
`void`
Stat.`copyFrom(Stat from)`

## Uses of Stat in org.apache.zookeeper.proto

Methods in org.apache.zookeeper.proto that return Stat
Modifier and Type
Method
Description
`Stat`
Create2Response.`getStat()`
`Stat`
ExistsResponse.`getStat()`
`Stat`
GetACLResponse.`getStat()`
`Stat`
GetChildren2Response.`getStat()`
`Stat`
GetDataResponse.`getStat()`
`Stat`
SetACLResponse.`getStat()`
`Stat`
SetDataResponse.`getStat()`
Methods in org.apache.zookeeper.proto with parameters of type Stat
Modifier and Type
Method
Description
`void`
Create2Response.`setStat(Stat m_)`
`void`
ExistsResponse.`setStat(Stat m_)`
`void`
GetACLResponse.`setStat(Stat m_)`
`void`
GetChildren2Response.`setStat(Stat m_)`
`void`
GetDataResponse.`setStat(Stat m_)`
`void`
SetACLResponse.`setStat(Stat m_)`
`void`
SetDataResponse.`setStat(Stat m_)`
Constructors in org.apache.zookeeper.proto with parameters of type Stat
Modifier
Constructor
Description
``
`Create2Response(String path, Stat stat)`
``
`ExistsResponse(Stat stat)`
``
`GetACLResponse(List<ACL> acl, Stat stat)`
``
`GetChildren2Response(List<String> children, Stat stat)`
``
`GetDataResponse(byte[] data, Stat stat)`
``
`SetACLResponse(Stat stat)`
``
`SetDataResponse(Stat stat)`

## Uses of Stat in org.apache.zookeeper.retry

Methods in org.apache.zookeeper.retry that return Stat
Modifier and Type
Method
Description
`Stat`
ZooKeeperRetry.`exists(String path, boolean watch)`
`Stat`
ZooKeeperRetry.`exists(String path, Watcher watcher)`
`Stat`
ZooKeeperRetry.`setACL(String path, List<ACL> acl, int aclVersion)`
`Stat`
ZooKeeperRetry.`setData(String path, byte[] data, int version)`
Methods in org.apache.zookeeper.retry with parameters of type Stat
Modifier and Type
Method
Description
`List<ACL>`
ZooKeeperRetry.`getACL(String path, Stat stat)`
`byte[]`
ZooKeeperRetry.`getData(String path, boolean watch, Stat stat)`
`byte[]`
ZooKeeperRetry.`getData(String path, Watcher watcher, Stat stat)`

## Uses of Stat in org.apache.zookeeper.server

Fields in org.apache.zookeeper.server declared as Stat
Modifier and Type
Field
Description
`Stat`
DataTree.ProcessTxnResult.`stat`
Methods in org.apache.zookeeper.server that return Stat
Modifier and Type
Method
Description
`Stat`
DataTree.`setACL(String path, List<ACL> acl, int version)`
`Stat`
DataTree.`setData(String path, byte[] data, int version, long zxid, long time)`
`Stat`
DataTree.`statNode(String path, Watcher watcher)`
`Stat`
ZKDatabase.`statNode(String path, ServerCnxn serverCnxn)`
stat the path
Methods in org.apache.zookeeper.server with parameters of type Stat
Modifier and Type
Method
Description
`void`
DataNode.`copyStat(Stat to)`
`static void`
DataTree.`copyStat(Stat from, Stat to)`
Deprecated.
`void`
DataTree.`createNode(String path, byte[] data, List<ACL> acl, long ephemeralOwner, int parentCVersion, long zxid, long time, Stat outputStat)`
Add a new node to the DataTree.
`byte[]`
ResponseCache.`get(String key, Stat stat)`
`List<ACL>`
DataTree.`getACL(String path, Stat stat)`
`List<ACL>`
ZKDatabase.`getACL(String path, Stat stat)`
get acl for a path
`List<String>`
DataTree.`getChildren(String path, Stat stat, Watcher watcher)`
`List<String>`
ZKDatabase.`getChildren(String path, Stat stat, Watcher watcher)`
get children list for this path
`byte[]`
DataTree.`getData(String path, Stat stat, Watcher watcher)`
`byte[]`
ZKDatabase.`getData(String path, Stat stat, Watcher watcher)`
get data and stat for a path
`void`
ResponseCache.`put(String path, byte[] data, Stat stat)`
`int`
DumbWatcher.`sendResponse(ReplyHeader h, Record r, String tag, String cacheKey, Stat stat, int opCode)`
`int`
NettyServerCnxn.`sendResponse(ReplyHeader h, Record r, String tag, String cacheKey, Stat stat, int opCode)`
`int`
NIOServerCnxn.`sendResponse(ReplyHeader h, Record r, String tag, String cacheKey, Stat stat, int opCode)`
`abstract int`
ServerCnxn.`sendResponse(ReplyHeader h, Record r, String tag, String cacheKey, Stat stat, int opCode)`
Serializes a ZooKeeper response and enqueues it for sending.
`protected ByteBuffer[]`
ServerCnxn.`serialize(ReplyHeader h, Record r, String tag, String cacheKey, Stat stat, int opCode)`

## Uses of Stat in org.apache.zookeeper.test.system

Methods in org.apache.zookeeper.test.system with parameters of type Stat
Modifier and Type
Method
Description
`void`
SimpleClient.`processResult(int rc, String path, Object ctx, byte[] data, Stat stat)`
`void`
SimpleClient.`processResult(int rc, String path, Object ctx, Stat stat)`